/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.text.format;

import java.io.Serializable;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public final class AnsiRegion implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private final AnsiAttr attr;
    private final AnsiCharSequence value;

    AnsiRegion(AnsiAttr attr, AnsiCharSequence value) {
        this.value = value;
        this.attr = attr;
    }

    public AnsiAttr attr() {
        return attr;
    }

    public AnsiCharSequence value() {
        return value;
    }

    @Override
    public String toString() {
        return "Region{" + "attr=" + attr + ", value=" + value + '}';
    }
    
}
